# M3O Docs

Currently we're focused heavily on Dev UX for the hosted version. Over the coming weeks we'll start to put 
together docs for more on architecture and usage for self hosting, local development and writing services.

## Contents

- [Roadmap](#roadmap)
- [Resources](#resources)
- [Community](#community)
- [Cloud Hosting](#cloud-hosting)
- [Open Source](#open-source)
- [M3O Development](#m3o-development)
- [TODO](#todo)

## Roadmap

Check out the [roadmap](ROADMAP.md) and feel free to PR future features

## Resources

A few resources to look at in the mean time

### Community

- Join the [Slack](https://slack.m3o.com) community
- Join the [Discord](https://discord.gg/TBR9bRjd6Z) channel
- Email [Support](mailto:support@m3o.com) for help
- Follow us on [Twitter](https://twitter.com/m3oservices)

### Cloud Hosting

- [m3o.com](https://m3o.com) - a fully managed offering of micro services

### Open Source

The core cloud OS and services exists in a vendor neutral org and are Apache 2.0 licensed

- [micro/micro](https://github.com/micro/micro) - an open source operating system for the cloud
- [micro/services](https://github.com/micro/services) - open source micro services powering m3o.com

### M3O Development

The hosting of Micro services on [m3o.com](https://m3o.com) is powered by the following:

- [m3o/cloud](https://github.com/m3o/cloud) - locally hostable angular based dev UX for the website
- [m3o/platform](https://github.com/m3o/platform) - the infrastructure automation for cloud hosted stack
- [m3o/backend](https://github.com/m3o/backend) - the services which power the m3o.com product backend

## TODO

- [ ] Getting Started
- [ ] Architecture guide
- [ ] Local development
- [ ] Self hosting 
- [ ] Writing services
- [ ] Contributing
